
<script setup lang="ts">
import { useDark } from '@vueuse/core'
import { roleToUrl, useAccountStore } from './store/account'
import { useCallStore } from './store/call'
import { useChatStore } from './store/chat'
import { usePollStore } from './store/poll'
import { useQAStore } from './store/qa'
import { useZoomClientStore } from './store/zoomClient'
import type { Role } from './types'

useHead({
  title: 'Zoom Meeting',
  link: [
    {
      rel: 'icon', type: 'image/png', href: '/nuxt.png',
    },
    {
      rel: 'stylesheet', type: 'text/css', href: 'https://source.zoom.us/2.8.0/css/bootstrap.css',
    },
    {
      rel: 'stylesheet', type: 'text/css', href: 'https://source.zoom.us/2.8.0/css/react-select.css',
    },
  ],
  meta: [
    { name: 'viewport', content: 'width=device-width, initial-scale=1.0, viewport-fit=cover' },
  ],
  script: [
    {
      src: '/coi-serviceworker.js',
      body: true,
      fetchpriority: 'high',
    },
  ],
})
const call = useCallStore()
const QA = useQAStore()
const zoomClient = useZoomClientStore()
const account = useAccountStore()
const chat = useChatStore()
const poll = usePollStore()
const router = useRouter()

const isDark = useDark()
isDark.value = true

const needName = computed(() => account.id === '')
const inputName = (name: string, position: Role) => {
  router.push(roleToUrl(position))
  account.createUser(name, position)
}

// init State
onMounted(() => {
  zoomClient.initClient()
})

call.InitData()
account.initData()
chat.InitData()
QA.InitData()
poll.InitData()

// chat Element position
</script>

<template>
  <OInputName v-if="needName" class="z-100" @input-name="inputName" />
  <AModalMessage />
  <AMeetingClientElement />
  <RouterView />
  <ARealWindow />
</template>

<style lang="scss">
@import '/styles/main.css';
.scrollBar {
  &::-webkit-scrollbar {
    width: 1em;
  }

  &::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px grey;
    border-radius: 10px;
    border: 1px solid #000000;
  }

  &::-webkit-scrollbar-thumb {
    background: #fff;
    border: 1px solid #000000;
    border-radius: 10px;
  }
}

.mainContainer {
  @apply h-full w-full max-h-screen max-w-screen overflow-hidden;
}

body > #zmmtg-root{
  display: block;
}

body > #aria-notify-area +#zmmtg-root{
  display: none;
}
</style>
